org.firebirdsql.jaybird.props.def

## Class ConnectionProperty.Builder

- java.lang.Object
- - org.firebirdsql.jaybird.props.def.ConnectionProperty.Builder

- Enclosing class:
    ConnectionProperty

      public static final class ConnectionProperty.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionProperty.Builder` | `aliases(java.util.Collection<java.lang.String> aliases)` Aliases or secondary names of the property; optional.
    `ConnectionProperty.Builder` | `aliases(java.lang.String... aliases)` Aliases or secondary names of the property; optional.
    `ConnectionProperty.Builder` | `aliases(java.lang.String alias)` Alias or secondary name of the property; optional.
    `ConnectionProperty` | `build()`
    `ConnectionProperty.Builder` | `choices(java.util.Collection<java.lang.String> choices)` Possible values of the property (case-insensitive); optional.
    `ConnectionProperty.Builder` | `choices(java.lang.String... choices)` Possible values of the property (case-insensitive); optional.
    `ConnectionProperty.Builder` | `dpbItem(int dpbItem)` DPB item associated with the property; optional; defaults to `ConnectionProperty.NO_DPB_ITEM`.
    `ConnectionProperty.Builder` | `name(java.lang.String name)` Primary name of the property; required.
    `ConnectionProperty.Builder` | `pbType(DpbType pbType)` Type of database (or service attach) parameter buffer; defaults to `ConnectionProperty.NO_DPB_ITEM`
    `ConnectionProperty.Builder` | `spbItem(int spbItem)` SPB item associated with the property; optional; defaults to `ConnectionProperty.NO_SPB_ITEM`.
    `ConnectionProperty.Builder` | `type(ConnectionPropertyType type)` Type of the property; required; defaults to `ConnectionPropertyType.STRING`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public ConnectionProperty build()

    - #### name

          public ConnectionProperty.Builder name(java.lang.String name)

      Primary name of the property; required.

    - #### aliases

          public ConnectionProperty.Builder aliases(java.util.Collection<java.lang.String> aliases)

      Aliases or secondary names of the property; optional.

    - #### aliases

          public ConnectionProperty.Builder aliases(java.lang.String... aliases)

      Aliases or secondary names of the property; optional.

    - #### aliases

          public ConnectionProperty.Builder aliases(java.lang.String alias)

      Alias or secondary name of the property; optional.

    - #### type

          public ConnectionProperty.Builder type(ConnectionPropertyType type)

      Type of the property; required; defaults to `ConnectionPropertyType.STRING`.

    - #### choices

          public ConnectionProperty.Builder choices(java.util.Collection<java.lang.String> choices)

      Possible values of the property (case-insensitive); optional.

    - #### choices

          public ConnectionProperty.Builder choices(java.lang.String... choices)

      Possible values of the property (case-insensitive); optional.

    - #### pbType

          public ConnectionProperty.Builder pbType(DpbType pbType)

      Type of database (or service attach) parameter buffer; defaults to `ConnectionProperty.NO_DPB_ITEM`

    - #### dpbItem

          public ConnectionProperty.Builder dpbItem(int dpbItem)

      DPB item associated with the property; optional; defaults to `ConnectionProperty.NO_DPB_ITEM`.

    - #### spbItem

          public ConnectionProperty.Builder spbItem(int spbItem)

      SPB item associated with the property; optional; defaults to `ConnectionProperty.NO_SPB_ITEM`.

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.